Subject: Re: [bug#53311] [PATCH] gnu: kdenlive: Update to 21.12.1.

From: Vinicius Monego <[email-masked]>
Date: Wed, 02 Feb 2022 14:19:30 +0000

Em seg, 2022-01-17 às 12:27 +0000, Maxime Devos escreveu:
> Hi,
> 
> Vinicius Monego schreef op zo 16-01-2022 om 23:57 [+0000]:
> > -                 (wrap-program (string-append out "/bin/kdenlive")
> > -                   `("PATH" ":" prefix
> > -                     ,(list (string-append ffmpeg "/bin")))
> > -                   [...]
> > [...]
> > +               (wrap-program (string-append out "/bin/kdenlive")
> > +                 `("PATH" ":" prefix
> > +                   ,(list (string-append ffmpeg "/bin")))
> > +                 [...]
> > 
> > 
> 
> 'data/scripts/checkvosk.py' (called from
> 'src/dialogs/kdenlivesettingsdialog.cpp') has a call to 'python -m
> pip
> install', can it be neutralised?
> 
> There are a few python scripts, are we missing 'python' in inputs?
> 

The python scripts are related to Vosk. The feature can be accessed
from Settings => Configure Kdenlive => Speech to Text. It contains a
warning and a button "Install missing dependencies", and nothing
happens when it's clicked. Nothing relevant in the logs. This feature
can't be enabled as is, so the files won't do anything.

> 'ffmpeg' is invoked from a few Python scripts and from C++ code,
> using
> ffmpegpath.  So FWIW, the absolute path to 'ffmpeg' can be baked in
> with a few substitute* and by adding a line to the following code
> in src/core.cpp:
> 
>     if (isAppImage) {
>         QString appPath = qApp->applicationDirPath();
>         KdenliveSettings::setFfmpegpath(QDir::cleanPath(appPath +
> QStringLiteral("/ffmpeg")));
>         KdenliveSettings::setFfplaypath(QDir::cleanPath(appPath +
> QStringLiteral("/ffplay")));
>         KdenliveSettings::setFfprobepath(QDir::cleanPath(appPath +
> QStringLiteral("/ffprobe")));
>         KdenliveSettings::setRendererpath(QDir::cleanPath(appPath +
> QStringLiteral("/melt")));
>         m_mainWindow->init(QDir::cleanPath(appPath +
> QStringLiteral("/../share/mlt/profiles")));
>     } else {
>         // Open connection with Mlt
>         m_mainWindow->init(MltPath);
>         // setFfmpegpath and the like can be set here!
>     }
> 
> YMMW whether this is an improvement or not.

I'm not sure where kdenlive calls ffmpeg, but rendering a project works
via 'melt', with the correct path being displayed in the logs.

I tested this build again and it's segfaulting when I try drag an
effect into the video, which doesn't happen in 21.08.3.

Seems that this package needs some work before it's production ready. I
will keep this issue open while I investigate.

> Greetings,
> Maxime.